%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define poppler_version 0.6.2-5.olpc3
%define gtk2_version 2.9.4

Name:       sugar-evince
Version:    2.20.1.1
Release:    3%{?dist}
Summary:    Document viewer

License:    GPLv2+ and GFDL+
Group:      Applications/Publishing
URL:        http://wiki.laptop.org/go/Evince
Source0:    http://dev.laptop.org/~rwh/sugar-evince-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  chrpath
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  libxml2-devel
BuildRequires:  libglade2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gnome-icon-theme
BuildRequires:  pygtk2-devel
BuildRequires:  gettext
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  poppler-devel = %{poppler_version}
BuildRequires:  djvulibre-devel
BuildRequires:  libjpeg-devel

%description
evince is a GNOME-based document viewer. This is the version developed for
OLPC. It is built as a library to support embedding.

%package        python
Summary:        Python bindings for evince
Group:          System Environment/Libraries
Requires:       sugar-evince

%description    python
Python bindings for embedded evince

%prep
%setup -q -n sugar-evince-%{version}

%build
%configure  --disable-static \
            --disable-binary \
            --enable-embed \
            --without-libgnome \
            --disable-scrollkeeper \
            --disable-schemas-install \
            --disable-dvi \
            --without-print \
            --enable-pixbuf \
            --disable-thumbnailer \
            --enable-djvu

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chrpath --delete $RPM_BUILD_ROOT%{python_sitearch}/evince/evince.so
rm $RPM_BUILD_ROOT%{python_sitearch}/evince/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.la

# FIXME
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications
rm -rf $RPM_BUILD_ROOT%{_datadir}/evince
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons
rm -rf $RPM_BUILD_ROOT%{_datadir}/man
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
rm -rf $RPM_BUILD_ROOT%{_bindir}/evince-thumbnailer

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS
%{_libdir}/libevince.*

%files python
%defattr(-,root,root,-)
%{python_sitearch}/*
%{_datadir}/pygtk/2.0/defs/evince.defs

%changelog
* Mon Jul 28 2008 Daniel Drake <dsd@laptop.org> - 2.20.1.1-3
- Require old poppler (dlo#7615)

* Fri Jan 25 2008 Marco Pesenti Gritti <mpg@redhat.com> - 2.20.1.1-2
- Enable djvu support

* Fri Jan 11 2008 Reinier Heeres <reinier@heeres.eu> - 2.20.1.1-1
- Disable right-click support for images to save memory
- Add python bindings for update_view_size
- New versioning: 2.20.1.x-1
_
* Fri Dec 21 2007 Reinier Heeres <reinier@heeres.eu> - 2.20.0-4
- Fixed some renames where they shouldn't have been

* Fri Dec 21 2007 Reinier Heeres <reinier@heeres.eu> - 2.20.0-3
- Rename source to sugar-evince for clarity

* Wed Dec 19 2007 Reinier Heeres <reinier@heeres.eu> - 2.20.0-2
- Added %post and %postun sections
- Fixed URLs
- Added {%?dist} tag to release
- Updated license
- Fix python sitearch 64-bit issue
- Added %doc section to %files
- Split out python package

* Wed Dec 12 2007 Reinier Heeres <reinier@heeres.eu> - 2.20.0-1
- Package for embedded evince
